Open CASCADE Technology: Prs3d_Drawer Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
Prs3d_Drawer Class Reference

A graphic attribute manager which governs how objects such as color, width, line thickness and deflection are displayed. Prs3d_Drawer is the mother class of AIS_Drawer. As such, it is its set functions which are called to modify display parameters. In the example below we can see that the AIS_Drawer is modified to set the value of the deviation coefficient using a method inherited from Prs3d_Drawer. A drawer includes an instance of the Aspect classes with particular default values. More...

`#include <Prs3d_Drawer.hxx>`

Inheritance diagram for Prs3d_Drawer:
[legend]

## Public Member Functions
| Prs3d_Drawer ()
virtual void | SetTypeOfDeflection (const Aspect_TypeOfDeflection aTypeOfDeflection)
| Sets the type of chordal deflection. This indicates whether the deflection value is absolute or relative to the size of the object. More...
virtual Aspect_TypeOfDeflection | TypeOfDeflection () const
| Returns the type of chordal deflection. This indicates whether the deflection value is absolute or relative to the size of the object. More...
virtual void | SetMaximalChordialDeviation (const Quantity_Length aChordialDeviation)
| Defines the maximal chordial deviation when drawing any curve; Even if the type of deviation is set to TOD_Relative, this value is used by: More...
virtual Quantity_Length | MaximalChordialDeviation () const
| returns the maximal chordial deviation. Default value is 0.1 More...
virtual void | SetDeviationCoefficient (const Standard_Real aCoefficient)
| Sets the deviation coefficient aCoefficient. More...
virtual Standard_Real | DeviationCoefficient () const
| Returns the deviation coefficient. More...
virtual void | SetHLRDeviationCoefficient (const Standard_Real aCoefficient)
| Sets the deviation coefficient aCoefficient for removal of hidden lines created by different viewpoints in different presentations. The Default value is 0.02. More...
virtual Standard_Real | HLRDeviationCoefficient () const
| Returns the real number value of the hidden line removal deviation coefficient. More...
virtual void | SetHLRAngle (const Standard_Real anAngle)
| Sets anAngle, the angle of maximum chordal deviation for removal of hidden lines created by different viewpoints in different presentations. The default value is 20*PI/180. More...
virtual Standard_Real | HLRAngle () const
| Returns the real number value of the deviation angle in hidden line removal views. The default value is 20*PI/180. More...
virtual void | SetDeviationAngle (const Standard_Real anAngle)
| Sets deviation angle. More...
virtual Standard_Real | DeviationAngle () const
| Returns the value for deviation angle. More...
virtual void | SetDiscretisation (const Standard_Integer d)
| Sets the discretisation parameter d. More...
virtual Standard_Integer | Discretisation () const
| Returns the discretisation setting. More...
virtual void | SetMaximalParameterValue (const Standard_Real Value)
| defines the maximum value allowed for the first and last parameters of an infinite curve. Default value: 500. More...
virtual Standard_Real | MaximalParameterValue () const
| Sets the maximum value allowed for the first and last parameters of an infinite curve. By default, this value is 500000. More...
virtual void | SetIsoOnPlane (const Standard_Boolean OnOff)
| Sets IsoOnPlane on or off by setting the parameter OnOff to true or false. More...
virtual Standard_Boolean | IsoOnPlane () const
| Returns True if the drawing of isos on planes is enabled. More...
virtual void | SetTypeOfHLR (const Prs3d_TypeOfHLR theTypeOfHLR)
| Sets the type of HLR algorithm used by drawer's interactive objects. More...
virtual Prs3d_TypeOfHLR | TypeOfHLR () const
| Gets the myTypeOfHLR value. More...
virtual Handle< Prs3d_IsoAspect > | UIsoAspect ()
| Defines the attributes which are used when drawing an U isoparametric curve of a face. Defines the number of U isoparametric curves to be drawn for a single face. The LineAspect for U isoparametric lines can be edited (methods SetColor, SetTypeOfLine, SetWidth, SetNumber) The default values are: COLOR : Quantity_NOC_GRAY75 TYPE OF LINE: Aspect_TOL_SOLID WIDTH : 0.5. More...
virtual void | SetUIsoAspect (const Handle< Prs3d_IsoAspect > &anAspect)
virtual Handle< Prs3d_IsoAspect > | VIsoAspect ()
| Defines the attributes which are used when drawing an V isoparametric curve of a face. Defines the number of V isoparametric curves to be drawn for a single face. The LineAspect for V isoparametric lines can be edited (methods SetColor, SetTypeOfLine, SetWidth, SetNumber) The default values are: COLOR : Quantity_NOC_GRAY82 TYPE OF LINE: Aspect_TOL_SOLID WIDTH : 0.5. More...
virtual void | SetVIsoAspect (const Handle< Prs3d_IsoAspect > &anAspect)
| Sets the appearance of V isoparameters - anAspect. More...
virtual Handle< Prs3d_LineAspect > | FreeBoundaryAspect ()
| Stores the values for presentation of free boundaries, in other words, boundaries which are not shared. The LineAspect for the free boundaries can be edited. The default values are: Color: Quantity_NOC_GREEN Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape. More...
virtual void | SetFreeBoundaryAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for the display of free boundaries. More...
virtual void | SetFreeBoundaryDraw (const Standard_Boolean OnOff)
| Sets free boundary drawing on or off by setting the parameter OnOff to true or false. More...
virtual Standard_Boolean | FreeBoundaryDraw () const
| Returns True if the drawing of the shared boundaries is disabled. True is the default setting. More...
virtual Handle< Prs3d_LineAspect > | WireAspect ()
| Returns wire aspect settings. The LineAspect for the wire can be edited. The default values are: Color: Quantity_NOC_RED Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape. More...
virtual void | SetWireAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for display of wires. More...
virtual void | SetWireDraw (const Standard_Boolean OnOff)
| Sets WireDraw on or off by setting the parameter OnOff to true or false. More...
virtual Standard_Boolean | WireDraw () const
| returns True if the drawing of the wire is enabled. More...
virtual Handle< Prs3d_LineAspect > | UnFreeBoundaryAspect ()
| Returns settings for shared boundary line aspects. The LineAspect for the unfree boundaries can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape. More...
virtual void | SetUnFreeBoundaryAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for the display of shared boundaries. More...
virtual void | SetUnFreeBoundaryDraw (const Standard_Boolean OnOff)
| Sets FreeBoundaryDraw on or off by setting the parameter OnOff to true or false. By default the unfree boundaries are drawn. More...
virtual Standard_Boolean | UnFreeBoundaryDraw () const
| Returns True if the drawing of the shared boundaries is enabled. True is the default setting. More...
virtual Handle< Prs3d_LineAspect > | LineAspect ()
| Returns settings for line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the following algorithms: Prs3d_Curve Prs3d_Line Prs3d_HLRShape. More...
virtual void | SetLineAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for display attributes of lines. More...
virtual Handle< Prs3d_TextAspect > | TextAspect ()
| Returns settings for text aspect. These settings can be edited. The default value is: More...
virtual void | SetTextAspect (const Handle< Prs3d_TextAspect > &anAspect)
| Sets the parameter anAspect for display attributes of text. More...
virtual void | SetLineArrowDraw (const Standard_Boolean OnOff)
| enables the drawing of an arrow at the end of each line. By default the arrows are not drawn. More...
virtual Standard_Boolean | LineArrowDraw () const
| Returns True if drawing an arrow at the end of each edge is enabled and False otherwise (the default). More...
virtual Handle< Prs3d_ArrowAspect > | ArrowAspect ()
| Returns the attributes for display of arrows. More...
virtual void | SetArrowAspect (const Handle< Prs3d_ArrowAspect > &anAspect)
| Sets the parameter anAspect for display attributes of arrows. More...
virtual Handle< Prs3d_PointAspect > | PointAspect ()
| Returns the point aspect setting. The default values are Color: Quantity_NOC_YELLOW Type of marker: Aspect_TOM_PLUS Scale: 1. These attributes are used by the algorithms Prs3d_Point. More...
virtual void | SetPointAspect (const Handle< Prs3d_PointAspect > &anAspect)
| Sets the parameter anAspect for display attributes of points. More...
virtual void | SetVertexDrawMode (const Prs3d_VertexDrawMode theMode)
| Sets the mode of visualization of vertices of a TopoDS_Shape instance. By default, only stand-alone vertices (not belonging topologically to an edge) are drawn, that corresponds to Prs3d_VDM_Standalone mode. Switching to Prs3d_VDM_Standalone mode makes all shape's vertices visible. To inherit this parameter from the global drawer instance ("the link") when it is present, Prs3d_VDM_Inherited value should be used. More...
virtual Prs3d_VertexDrawMode | VertexDrawMode () const
| Returns the current mode of visualization of vertices of a TopoDS_Shape instance. More...
virtual Handle < Prs3d_ShadingAspect > | ShadingAspect ()
| Returns settings for shading aspects. These settings can be edited. The default values are: More...
virtual void | SetShadingAspect (const Handle< Prs3d_ShadingAspect > &anAspect)
| Sets the parameter anAspect for display attributes of shading. More...
virtual void | SetShadingAspectGlobal (const Standard_Boolean aValue)
| indicates that the ShadingAspect will be apply to the whole presentation. This allows to modify the aspect without recomputing the content of the presentation. More...
virtual Standard_Boolean | ShadingAspectGlobal () const
virtual Standard_Boolean | DrawHiddenLine () const
| returns Standard_True if the hidden lines are to be drawn. By default the hidden lines are not drawn. More...
virtual void | EnableDrawHiddenLine ()
| Enables the DrawHiddenLine function. More...
virtual void | DisableDrawHiddenLine ()
| Disables the DrawHiddenLine function. More...
virtual Handle< Prs3d_LineAspect > | HiddenLineAspect ()
| Returns settings for hidden line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_DASH Width: 1. More...
virtual void | SetHiddenLineAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for the display of hidden lines in hidden line removal mode. More...
virtual Handle< Prs3d_LineAspect > | SeenLineAspect ()
| Returns settings for seen line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1. More...
virtual void | SetSeenLineAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the parameter anAspect for the display of seen lines in hidden line removal mode. More...
virtual Handle< Prs3d_PlaneAspect > | PlaneAspect ()
| Returns settings for the appearance of planes. More...
virtual void | SetPlaneAspect (const Handle< Prs3d_PlaneAspect > &anAspect)
| Sets the parameter anAspect for the display of planes. More...
virtual Handle< Prs3d_LineAspect > | VectorAspect ()
| Returns settings for the appearance of vectors. These settings can be edited. The default values are: Color: Quantity_NOC_SKYBLUE Type of line: Aspect_TOL_SOLID Width: 1. More...
virtual void | SetVectorAspect (const Handle< Prs3d_LineAspect > &anAspect)
| Sets the modality anAspect for the display of vectors. More...
virtual Handle< Prs3d_DatumAspect > | DatumAspect ()
| Returns settings for the appearance of datums. These settings can be edited. The default values for the three axes are: Color: Quantity_NOC_PEACHPUFF Type of line: Aspect_TOL_SOLID Width: 1. More...
virtual void | SetDatumAspect (const Handle< Prs3d_DatumAspect > &anAspect)
| Sets the modality anAspect for the display of datums. More...
virtual Handle < Prs3d_DimensionAspect > | DimensionAspect ()
| Returns settings for the appearance of dimensions. More...
virtual void | SetDimensionAspect (const Handle< Prs3d_DimensionAspect > &theAspect)
| Sets the settings for the appearance of dimensions. More...
virtual void | SetDimLengthModelUnits (const TCollection_AsciiString &theUnits)
| Sets dimension length model units for computing of dimension presentation. More...
virtual void | SetDimAngleModelUnits (const TCollection_AsciiString &theUnits)
| Sets dimension angle model units for computing of dimension presentation. More...
virtual const TCollection_AsciiString & | DimLengthModelUnits () const
| Returns length model units for the dimension presentation. More...
virtual const TCollection_AsciiString & | DimAngleModelUnits () const
| Returns angle model units for the dimension presentation. More...
virtual void | SetDimLengthDisplayUnits (const TCollection_AsciiString &theUnits)
| Sets length units in which value for dimension presentation is displayed. More...
virtual void | SetDimAngleDisplayUnits (const TCollection_AsciiString &theUnits)
| Sets angle units in which value for dimension presentation is displayed. More...
virtual const TCollection_AsciiString & | DimLengthDisplayUnits () const
| Returns length units in which dimension presentation is displayed. More...
virtual const TCollection_AsciiString & | DimAngleDisplayUnits () const
| Returns angle units in which dimension presentation is displayed. More...
virtual Handle< Prs3d_LineAspect > | SectionAspect ()
| The LineAspect for the wire can be edited. The default values are: Color: Quantity_NOC_ORANGE Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape. More...
virtual void | SetSectionAspect (const Handle< Prs3d_LineAspect > &theAspect)
| Sets the parameter theAspect for display attributes of sections. More...
virtual void | SetFaceBoundaryDraw (const Standard_Boolean theIsEnabled)
| Enables or disables face boundary drawing for shading presentations. theIsEnabled is a boolean flag indicating whether the face boundaries should be drawn or not. More...
virtual Standard_Boolean | IsFaceBoundaryDraw () const
| Checks whether the face boundary drawing is enabled or not. More...
virtual void | SetFaceBoundaryAspect (const Handle< Prs3d_LineAspect > &theAspect)
| Sets line aspect for face boundaries. theAspect is the line aspect that determines the look of the face boundaries. More...
virtual Handle< Prs3d_LineAspect > | FaceBoundaryAspect ()
| Returns line aspect of face boundaries. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
Handle< Prs3d_IsoAspect > | myUIsoAspect
Handle< Prs3d_IsoAspect > | myVIsoAspect
Standard_Integer | myNbPoints
Standard_Boolean | myIsoOnPlane
Handle< Prs3d_LineAspect > | myFreeBoundaryAspect
Standard_Boolean | myFreeBoundaryDraw
Handle< Prs3d_LineAspect > | myUnFreeBoundaryAspect
Standard_Boolean | myUnFreeBoundaryDraw
Handle< Prs3d_LineAspect > | myWireAspect
Standard_Boolean | myWireDraw
Handle< Prs3d_LineAspect > | myLineAspect
Handle< Prs3d_TextAspect > | myTextAspect
Handle< Prs3d_ShadingAspect > | myShadingAspect
Standard_Boolean | myShadingAspectGlobal
Quantity_Length | myChordialDeviation
Aspect_TypeOfDeflection | myTypeOfDeflection
Standard_Real | myMaximalParameterValue
Standard_Real | myDeviationCoefficient
Standard_Real | myHLRDeviationCoefficient
Standard_Real | myDeviationAngle
Standard_Real | myHLRAngle
Handle< Prs3d_PointAspect > | myPointAspect
Prs3d_VertexDrawMode | myVertexDrawMode
Handle< Prs3d_PlaneAspect > | myPlaneAspect
Handle< Prs3d_ArrowAspect > | myArrowAspect
Standard_Boolean | myLineDrawArrow
Standard_Boolean | myDrawHiddenLine
Handle< Prs3d_LineAspect > | myHiddenLineAspect
Handle< Prs3d_LineAspect > | mySeenLineAspect
Handle< Prs3d_LineAspect > | myVectorAspect
Handle< Prs3d_DatumAspect > | myDatumAspect
Standard_Real | myDatumScale
Handle< Prs3d_DimensionAspect > | myDimensionAspect
Prs3d_DimensionUnits | myDimensionModelUnits
Prs3d_DimensionUnits | myDimensionDisplayUnits
Handle< Prs3d_LineAspect > | mySectionAspect
Standard_Boolean | myFaceBoundaryDraw
Handle< Prs3d_LineAspect > | myFaceBoundaryAspect
Prs3d_TypeOfHLR | myTypeOfHLR

## Detailed Description

A graphic attribute manager which governs how objects such as color, width, line thickness and deflection are displayed. Prs3d_Drawer is the mother class of AIS_Drawer. As such, it is its set functions which are called to modify display parameters. In the example below we can see that the AIS_Drawer is modified to set the value of the deviation coefficient using a method inherited from Prs3d_Drawer. A drawer includes an instance of the Aspect classes with particular default values.

## Constructor & Destructor Documentation

Prs3d_Drawer::Prs3d_Drawer | ( |  | ) |

## Member Function Documentation

virtual Handle< Prs3d_ArrowAspect > Prs3d_Drawer::ArrowAspect | ( |  | ) |
| virtual

Returns the attributes for display of arrows.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_DatumAspect > Prs3d_Drawer::DatumAspect | ( |  | ) |
| virtual

Returns settings for the appearance of datums. These settings can be edited. The default values for the three axes are: Color: Quantity_NOC_PEACHPUFF Type of line: Aspect_TOL_SOLID Width: 1.

Reimplemented in AIS_Drawer.

virtual Standard_Real Prs3d_Drawer::DeviationAngle | ( |  | ) | const
| virtual

Returns the value for deviation angle.

Reimplemented in AIS_Drawer.

virtual Standard_Real Prs3d_Drawer::DeviationCoefficient | ( |  | ) | const
| virtual

Returns the deviation coefficient.

Reimplemented in AIS_Drawer.

virtual const TCollection_AsciiString& Prs3d_Drawer::DimAngleDisplayUnits | ( |  | ) | const
| virtual

Returns angle units in which dimension presentation is displayed.

Reimplemented in AIS_Drawer.

virtual const TCollection_AsciiString& Prs3d_Drawer::DimAngleModelUnits | ( |  | ) | const
| virtual

Returns angle model units for the dimension presentation.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_DimensionAspect > Prs3d_Drawer::DimensionAspect | ( |  | ) |
| virtual

Returns settings for the appearance of dimensions.

Reimplemented in AIS_Drawer.

virtual const TCollection_AsciiString& Prs3d_Drawer::DimLengthDisplayUnits | ( |  | ) | const
| virtual

Returns length units in which dimension presentation is displayed.

Reimplemented in AIS_Drawer.

virtual const TCollection_AsciiString& Prs3d_Drawer::DimLengthModelUnits | ( |  | ) | const
| virtual

Returns length model units for the dimension presentation.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::DisableDrawHiddenLine | ( |  | ) |
| virtual

Disables the DrawHiddenLine function.

virtual Standard_Integer Prs3d_Drawer::Discretisation | ( |  | ) | const
| virtual

Returns the discretisation setting.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::DrawHiddenLine | ( |  | ) | const
| virtual

returns Standard_True if the hidden lines are to be drawn. By default the hidden lines are not drawn.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::EnableDrawHiddenLine | ( |  | ) |
| virtual

Enables the DrawHiddenLine function.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::FaceBoundaryAspect | ( |  | ) |
| virtual

Returns line aspect of face boundaries.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::FreeBoundaryAspect | ( |  | ) |
| virtual

Stores the values for presentation of free boundaries, in other words, boundaries which are not shared. The LineAspect for the free boundaries can be edited. The default values are: Color: Quantity_NOC_GREEN Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::FreeBoundaryDraw | ( |  | ) | const
| virtual

Returns True if the drawing of the shared boundaries is disabled. True is the default setting.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::HiddenLineAspect | ( |  | ) |
| virtual

Returns settings for hidden line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_DASH Width: 1.

Reimplemented in AIS_Drawer.

virtual Standard_Real Prs3d_Drawer::HLRAngle | ( |  | ) | const
| virtual

Returns the real number value of the deviation angle in hidden line removal views. The default value is 20*PI/180.

Reimplemented in AIS_Drawer.

virtual Standard_Real Prs3d_Drawer::HLRDeviationCoefficient | ( |  | ) | const
| virtual

Returns the real number value of the hidden line removal deviation coefficient.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::IsFaceBoundaryDraw | ( |  | ) | const
| virtual

Checks whether the face boundary drawing is enabled or not.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::IsoOnPlane | ( |  | ) | const
| virtual

Returns True if the drawing of isos on planes is enabled.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::LineArrowDraw | ( |  | ) | const
| virtual

Returns True if drawing an arrow at the end of each edge is enabled and False otherwise (the default).

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::LineAspect | ( |  | ) |
| virtual

Returns settings for line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the following algorithms: Prs3d_Curve Prs3d_Line Prs3d_HLRShape.

Reimplemented in AIS_Drawer.

virtual Quantity_Length Prs3d_Drawer::MaximalChordialDeviation | ( |  | ) | const
| virtual

returns the maximal chordial deviation. Default value is 0.1

Reimplemented in AIS_Drawer.

virtual Standard_Real Prs3d_Drawer::MaximalParameterValue | ( |  | ) | const
| virtual

Sets the maximum value allowed for the first and last parameters of an infinite curve. By default, this value is 500000.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_PlaneAspect > Prs3d_Drawer::PlaneAspect | ( |  | ) |
| virtual

Returns settings for the appearance of planes.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_PointAspect > Prs3d_Drawer::PointAspect | ( |  | ) |
| virtual

Returns the point aspect setting. The default values are Color: Quantity_NOC_YELLOW Type of marker: Aspect_TOM_PLUS Scale: 1. These attributes are used by the algorithms Prs3d_Point.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::SectionAspect | ( |  | ) |
| virtual

The LineAspect for the wire can be edited. The default values are: Color: Quantity_NOC_ORANGE Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::SeenLineAspect | ( |  | ) |
| virtual

Returns settings for seen line aspects. These settings can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetArrowAspect | ( | const Handle< Prs3d_ArrowAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display attributes of arrows.

virtual void Prs3d_Drawer::SetDatumAspect | ( | const Handle< Prs3d_DatumAspect > & | anAspect | ) |
| virtual

Sets the modality anAspect for the display of datums.

virtual void Prs3d_Drawer::SetDeviationAngle | ( | const Standard_Real | anAngle | ) |
| virtual

Sets deviation angle.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDeviationCoefficient | ( | const Standard_Real | aCoefficient | ) |
| virtual

Sets the deviation coefficient aCoefficient.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDimAngleDisplayUnits | ( | const TCollection_AsciiString & | theUnits | ) |
| virtual

Sets angle units in which value for dimension presentation is displayed.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDimAngleModelUnits | ( | const TCollection_AsciiString & | theUnits | ) |
| virtual

Sets dimension angle model units for computing of dimension presentation.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDimensionAspect | ( | const Handle< Prs3d_DimensionAspect > & | theAspect | ) |
| virtual

Sets the settings for the appearance of dimensions.

virtual void Prs3d_Drawer::SetDimLengthDisplayUnits | ( | const TCollection_AsciiString & | theUnits | ) |
| virtual

Sets length units in which value for dimension presentation is displayed.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDimLengthModelUnits | ( | const TCollection_AsciiString & | theUnits | ) |
| virtual

Sets dimension length model units for computing of dimension presentation.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetDiscretisation | ( | const Standard_Integer | d | ) |
| virtual

Sets the discretisation parameter d.

virtual void Prs3d_Drawer::SetFaceBoundaryAspect | ( | const Handle< Prs3d_LineAspect > & | theAspect | ) |
| virtual

Sets line aspect for face boundaries. theAspect is the line aspect that determines the look of the face boundaries.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetFaceBoundaryDraw | ( | const Standard_Boolean | theIsEnabled | ) |
| virtual

Enables or disables face boundary drawing for shading presentations. theIsEnabled is a boolean flag indicating whether the face boundaries should be drawn or not.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetFreeBoundaryAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for the display of free boundaries.

virtual void Prs3d_Drawer::SetFreeBoundaryDraw | ( | const Standard_Boolean | OnOff | ) |
| virtual

Sets free boundary drawing on or off by setting the parameter OnOff to true or false.

virtual void Prs3d_Drawer::SetHiddenLineAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for the display of hidden lines in hidden line removal mode.

virtual void Prs3d_Drawer::SetHLRAngle | ( | const Standard_Real | anAngle | ) |
| virtual

Sets anAngle, the angle of maximum chordal deviation for removal of hidden lines created by different viewpoints in different presentations. The default value is 20*PI/180.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetHLRDeviationCoefficient | ( | const Standard_Real | aCoefficient | ) |
| virtual

Sets the deviation coefficient aCoefficient for removal of hidden lines created by different viewpoints in different presentations. The Default value is 0.02.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetIsoOnPlane | ( | const Standard_Boolean | OnOff | ) |
| virtual

Sets IsoOnPlane on or off by setting the parameter OnOff to true or false.

virtual void Prs3d_Drawer::SetLineArrowDraw | ( | const Standard_Boolean | OnOff | ) |
| virtual

enables the drawing of an arrow at the end of each line. By default the arrows are not drawn.

virtual void Prs3d_Drawer::SetLineAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display attributes of lines.

virtual void Prs3d_Drawer::SetMaximalChordialDeviation | ( | const Quantity_Length | aChordialDeviation | ) |
| virtual

Defines the maximal chordial deviation when drawing any curve; Even if the type of deviation is set to TOD_Relative, this value is used by:

Prs3d_DeflectionCurve Prs3d_WFDeflectionSurface Prs3d_WFDeflectionRestrictedFace

virtual void Prs3d_Drawer::SetMaximalParameterValue | ( | const Standard_Real | Value | ) |
| virtual

defines the maximum value allowed for the first and last parameters of an infinite curve. Default value: 500.

virtual void Prs3d_Drawer::SetPlaneAspect | ( | const Handle< Prs3d_PlaneAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for the display of planes.

virtual void Prs3d_Drawer::SetPointAspect | ( | const Handle< Prs3d_PointAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display attributes of points.

virtual void Prs3d_Drawer::SetSectionAspect | ( | const Handle< Prs3d_LineAspect > & | theAspect | ) |
| virtual

Sets the parameter theAspect for display attributes of sections.

virtual void Prs3d_Drawer::SetSeenLineAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for the display of seen lines in hidden line removal mode.

virtual void Prs3d_Drawer::SetShadingAspect | ( | const Handle< Prs3d_ShadingAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display attributes of shading.

virtual void Prs3d_Drawer::SetShadingAspectGlobal | ( | const Standard_Boolean | aValue | ) |
| virtual

indicates that the ShadingAspect will be apply to the whole presentation. This allows to modify the aspect without recomputing the content of the presentation.

virtual void Prs3d_Drawer::SetTextAspect | ( | const Handle< Prs3d_TextAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display attributes of text.

virtual void Prs3d_Drawer::SetTypeOfDeflection | ( | const Aspect_TypeOfDeflection | aTypeOfDeflection | ) |
| virtual

Sets the type of chordal deflection. This indicates whether the deflection value is absolute or relative to the size of the object.

virtual void Prs3d_Drawer::SetTypeOfHLR | ( | const Prs3d_TypeOfHLR | theTypeOfHLR | ) |
| virtual

Sets the type of HLR algorithm used by drawer's interactive objects.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetUIsoAspect | ( | const Handle< Prs3d_IsoAspect > & | anAspect | ) |
| virtual

virtual void Prs3d_Drawer::SetUnFreeBoundaryAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for the display of shared boundaries.

virtual void Prs3d_Drawer::SetUnFreeBoundaryDraw | ( | const Standard_Boolean | OnOff | ) |
| virtual

Sets FreeBoundaryDraw on or off by setting the parameter OnOff to true or false. By default the unfree boundaries are drawn.

virtual void Prs3d_Drawer::SetVectorAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the modality anAspect for the display of vectors.

virtual void Prs3d_Drawer::SetVertexDrawMode | ( | const Prs3d_VertexDrawMode | theMode | ) |
| virtual

Sets the mode of visualization of vertices of a TopoDS_Shape instance. By default, only stand-alone vertices (not belonging topologically to an edge) are drawn, that corresponds to Prs3d_VDM_Standalone mode. Switching to Prs3d_VDM_Standalone mode makes all shape's vertices visible. To inherit this parameter from the global drawer instance ("the link") when it is present, Prs3d_VDM_Inherited value should be used.

Reimplemented in AIS_Drawer.

virtual void Prs3d_Drawer::SetVIsoAspect | ( | const Handle< Prs3d_IsoAspect > & | anAspect | ) |
| virtual

Sets the appearance of V isoparameters - anAspect.

virtual void Prs3d_Drawer::SetWireAspect | ( | const Handle< Prs3d_LineAspect > & | anAspect | ) |
| virtual

Sets the parameter anAspect for display of wires.

virtual void Prs3d_Drawer::SetWireDraw | ( | const Standard_Boolean | OnOff | ) |
| virtual

Sets WireDraw on or off by setting the parameter OnOff to true or false.

virtual Handle< Prs3d_ShadingAspect > Prs3d_Drawer::ShadingAspect | ( |  | ) |
| virtual

Returns settings for shading aspects. These settings can be edited. The default values are:

- Color: Quantity_NOC_YELLOW
- Material: Graphic3d_NOM_BRASS Shading aspect is obtained through decomposition of 3d faces into triangles, each side of each triangle being a chord of the corresponding curved edge in the face. Reflection of light in each projector perspective is then calculated for each of the resultant triangular planes.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::ShadingAspectGlobal | ( |  | ) | const
| virtual

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_TextAspect > Prs3d_Drawer::TextAspect | ( |  | ) |
| virtual

Returns settings for text aspect. These settings can be edited. The default value is:

- Color: Quantity_NOC_YELLOW

Reimplemented in AIS_Drawer.

virtual Aspect_TypeOfDeflection Prs3d_Drawer::TypeOfDeflection | ( |  | ) | const
| virtual

Returns the type of chordal deflection. This indicates whether the deflection value is absolute or relative to the size of the object.

Reimplemented in AIS_Drawer.

virtual Prs3d_TypeOfHLR Prs3d_Drawer::TypeOfHLR | ( |  | ) | const
| virtual

Gets the myTypeOfHLR value.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_IsoAspect > Prs3d_Drawer::UIsoAspect | ( |  | ) |
| virtual

Defines the attributes which are used when drawing an U isoparametric curve of a face. Defines the number of U isoparametric curves to be drawn for a single face. The LineAspect for U isoparametric lines can be edited (methods SetColor, SetTypeOfLine, SetWidth, SetNumber) The default values are: COLOR : Quantity_NOC_GRAY75 TYPE OF LINE: Aspect_TOL_SOLID WIDTH : 0.5.

These attributes are used by the following algorithms: Prs3d_WFDeflectionSurface Prs3d_WFDeflectionRestrictedFace

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::UnFreeBoundaryAspect | ( |  | ) |
| virtual

Returns settings for shared boundary line aspects. The LineAspect for the unfree boundaries can be edited. The default values are: Color: Quantity_NOC_YELLOW Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::UnFreeBoundaryDraw | ( |  | ) | const
| virtual

Returns True if the drawing of the shared boundaries is enabled. True is the default setting.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::VectorAspect | ( |  | ) |
| virtual

Returns settings for the appearance of vectors. These settings can be edited. The default values are: Color: Quantity_NOC_SKYBLUE Type of line: Aspect_TOL_SOLID Width: 1.

Reimplemented in AIS_Drawer.

virtual Prs3d_VertexDrawMode Prs3d_Drawer::VertexDrawMode | ( |  | ) | const
| virtual

Returns the current mode of visualization of vertices of a TopoDS_Shape instance.

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_IsoAspect > Prs3d_Drawer::VIsoAspect | ( |  | ) |
| virtual

Defines the attributes which are used when drawing an V isoparametric curve of a face. Defines the number of V isoparametric curves to be drawn for a single face. The LineAspect for V isoparametric lines can be edited (methods SetColor, SetTypeOfLine, SetWidth, SetNumber) The default values are: COLOR : Quantity_NOC_GRAY82 TYPE OF LINE: Aspect_TOL_SOLID WIDTH : 0.5.

These attributes are used by the following algorithms: Prs3d_WFDeflectionSurface Prs3d_WFDeflectionRestrictedFace

Reimplemented in AIS_Drawer.

virtual Handle< Prs3d_LineAspect > Prs3d_Drawer::WireAspect | ( |  | ) |
| virtual

Returns wire aspect settings. The LineAspect for the wire can be edited. The default values are: Color: Quantity_NOC_RED Type of line: Aspect_TOL_SOLID Width: 1. These attributes are used by the algorithm Prs3d_WFShape.

Reimplemented in AIS_Drawer.

virtual Standard_Boolean Prs3d_Drawer::WireDraw | ( |  | ) | const
| virtual

returns True if the drawing of the wire is enabled.

Reimplemented in AIS_Drawer.

## Field Documentation

Handle< Prs3d_ArrowAspect > Prs3d_Drawer::myArrowAspect
| protected

Quantity_Length Prs3d_Drawer::myChordialDeviation
| protected

Handle< Prs3d_DatumAspect > Prs3d_Drawer::myDatumAspect
| protected

Standard_Real Prs3d_Drawer::myDatumScale
| protected

Standard_Real Prs3d_Drawer::myDeviationAngle
| protected

Standard_Real Prs3d_Drawer::myDeviationCoefficient
| protected

Handle< Prs3d_DimensionAspect > Prs3d_Drawer::myDimensionAspect
| protected

Prs3d_DimensionUnits Prs3d_Drawer::myDimensionDisplayUnits
| protected

Prs3d_DimensionUnits Prs3d_Drawer::myDimensionModelUnits
| protected

Standard_Boolean Prs3d_Drawer::myDrawHiddenLine
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myFaceBoundaryAspect
| protected

Standard_Boolean Prs3d_Drawer::myFaceBoundaryDraw
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myFreeBoundaryAspect
| protected

Standard_Boolean Prs3d_Drawer::myFreeBoundaryDraw
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myHiddenLineAspect
| protected

Standard_Real Prs3d_Drawer::myHLRAngle
| protected

Standard_Real Prs3d_Drawer::myHLRDeviationCoefficient
| protected

Standard_Boolean Prs3d_Drawer::myIsoOnPlane
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myLineAspect
| protected

Standard_Boolean Prs3d_Drawer::myLineDrawArrow
| protected

Standard_Real Prs3d_Drawer::myMaximalParameterValue
| protected

Standard_Integer Prs3d_Drawer::myNbPoints
| protected

Handle< Prs3d_PlaneAspect > Prs3d_Drawer::myPlaneAspect
| protected

Handle< Prs3d_PointAspect > Prs3d_Drawer::myPointAspect
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::mySectionAspect
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::mySeenLineAspect
| protected

Handle< Prs3d_ShadingAspect > Prs3d_Drawer::myShadingAspect
| protected

Standard_Boolean Prs3d_Drawer::myShadingAspectGlobal
| protected

Handle< Prs3d_TextAspect > Prs3d_Drawer::myTextAspect
| protected

Aspect_TypeOfDeflection Prs3d_Drawer::myTypeOfDeflection
| protected

Prs3d_TypeOfHLR Prs3d_Drawer::myTypeOfHLR
| protected

Handle< Prs3d_IsoAspect > Prs3d_Drawer::myUIsoAspect
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myUnFreeBoundaryAspect
| protected

Standard_Boolean Prs3d_Drawer::myUnFreeBoundaryDraw
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myVectorAspect
| protected

Prs3d_VertexDrawMode Prs3d_Drawer::myVertexDrawMode
| protected

Handle< Prs3d_IsoAspect > Prs3d_Drawer::myVIsoAspect
| protected

Handle< Prs3d_LineAspect > Prs3d_Drawer::myWireAspect
| protected

Standard_Boolean Prs3d_Drawer::myWireDraw
| protected

The documentation for this class was generated from the following file:

- Prs3d_Drawer.hxx